import re
import subprocess

cellNumberRe = re.compile(r"^Cell\s+(?P<cellnumber>.+)\s+-\s+Address:\s(?P<mac>.+)$")
regexps = [
    re.compile(r"^ESSID:\"(?P<essid>.*)\"$"),
    re.compile(r"^Protocol:(?P<protocol>.+)$"),
    re.compile(r"^Mode:(?P<mode>.+)$"),
    re.compile(r"^Frequency:(?P<frequency>[\d.]+) (?P<frequency_units>.+) \(Channel (?P<channel>\d+)\)$"),
    re.compile(r"^Encryption key:(?P<encryption>.+)$"),
    re.compile(r"^Quality=(?P<signal_quality>\d+)/(?P<signal_total>\d+)\s+Signal level=(?P<signal_level_dBm>.+) d.+$"),
    re.compile(r"^Signal level=(?P<signal_quality>\d+)/(?P<signal_total>\d+).*$"),
    # morishita add ->
    re.compile(r"^Group Cipher :(?P<groupCipher>.*)$"),
    re.compile(r"^Pairwise Ciphers \(\d+\) :(?P<pairwiseCiphers>.*)$"),
    re.compile(r"^Authentication Suites \(\d+\) :(?P<authenticationSuites>.*)$"),
    # morishita add <-
]

# Detect encryption type
wpaRe = re.compile(r"IE:\ WPA\ Version\ 1$")
wpa2Re = re.compile(r"IE:\ IEEE\ 802\.11i/WPA2\ Version\ 1$")

# Runs the comnmand to scan the list of networks.
# Must run as super user.
# Does not specify a particular device, so will scan all network devices.
def scan(interface='wlan0'):
    cmd = ["iwlist", interface, "scan"]
    proc = subprocess.Popen(cmd, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
    points = proc.stdout.read().decode('utf-8')
    return points

# Parses the response from the command "iwlist scan"
def parse(content):
    cells = []
    lines = content.split('\n')
    # morishita add ->
    encryptions = []
    encryption = {}
    # morishita add <-
    for line in lines:
        line = line.strip()
        cellNumber = cellNumberRe.search(line)
        if cellNumber is not None:
            # morishita add ->
            if len(cells) > 0:
                if len(encryption.keys()) > 0:
                    encryptions.append(encryption)
                if len(encryptions) >= 2:
                    # wepは取り除く
                    encryptions = [e for e in encryptions if e["encryption"] != "wep"]
                cells[-1].update({'encryptions': encryptions})
                encryptions = []
                encryption = {}
            # morishita add <-
            cells.append(cellNumber.groupdict())
            # morishita add ->
            encryptions = []
            # morishita add <-
            continue
        wpa = wpaRe.search(line)
        if wpa is not None :
            # morishita upd ->
            # cells[-1].update({'encryption':'wpa'})
            encryption = {'encryption':'wpa'}
            continue
            # morishita upd <-
        wpa2 = wpa2Re.search(line)
        if wpa2 is not None :
            # morishita upd ->
            # cells[-1].update({'encryption':'wpa2'}) 
            encryption = {'encryption':'wpa2'}
            continue
            # morishita upd <-
        for expression in regexps:
            result = expression.search(line)
            if result is not None:
                if 'encryption' in result.groupdict() :
                    if result.groupdict()['encryption'] == 'on' :
                        # morishita upd ->
                        # cells[-1].update({'encryption': 'wep'})
                        encryption = {'encryption':'wep'}
                        encryptions.append(encryption)
                        encryption = {}
                        # morishita upd <-
                    else :
                        # morishita upd ->
                        # cells[-1].update({'encryption': 'off'})
                        cells[-1].update({'encryptions': []})
                        # morishita upd <-
                # morishita add ->
                elif 'groupCipher' in result.groupdict() :
                    encryption["groupCipher"] = result.groupdict()["groupCipher"].strip()
                elif 'pairwiseCiphers' in result.groupdict() :
                    encryption["pairwiseCiphers"] = result.groupdict()["pairwiseCiphers"].strip().split(" ")
                elif 'authenticationSuites' in result.groupdict() :
                    encryption["authenticationSuites"] = result.groupdict()["authenticationSuites"].strip().split(" ")
                    encryptions.append(encryption)
                    encryption = {}
                # morishita add <-
                else :
                    cells[-1].update(result.groupdict())
                continue

    # morishita add ->
    if len(cells) > 0:
        if len(encryption.keys()) > 0:
            encryptions.append(encryption)
        if len(encryptions) >= 2:
            # wepは取り除く
            encryptions = [e for e in encryptions if e["encryption"] != "wep"]
        cells[-1].update({'encryptions': encryptions})
    # morishita add <-
    return cells

# morishita add ->
class IwList():
    def scan(self, interface='wlan0'):
        return parse(scan(interface))
# morishita add <-

# https://github.com/iancoleman/python-iwlist
# upd 2020/01/23 morshita  
