window.onload = funcOnload;
window.addEventListener("beforeunload", () => {
    window.opener.focus();
});

/**
 * ボディオンロードイベント処理
 *
 */
function funcOnload() {
    if (!window.opener || window.opener.closed) {
        window.close();
    }
	document.getElementById('addBtn').onclick = funcUpdate;
    document.getElementById('closeBtn').onclick = () => { window.close(); };
    addOnChangeListnerToInput("addGroup", funcChange);
}

/**
 * 入力コントロールの無効・有効
 * @param {boolean} disabled - 無効
 */
function disableControls(disabled) {
	setInputDisabled("addGroup", disabled);
	document.getElementById('addBtn').disabled = disabled;
    document.getElementById('closeBtn').disabled = disabled;
}

/**
 * 入力項目チェック
 * @returns 結果
 */
function funcInputCheck() {
	var bCheckResult = true;

	//グループ名
	let groupName = getDataElem("addGroup", "groupName");
	clearErrorOnTrById("TR_groupName", "P_groupName");
	if ( groupName.value == "") {
		setErrorOnTrById("TR_groupName", "P_groupName", getResources("add_group:GROUPNAME_ERROR_REQUIRED"));
		bCheckResult = false;
	}


	if(bCheckResult == false) {
		showDivError();
		return false;
	} else {
		hideDivError();
		return true;
	}
}



/**
 * 更新
 */
function doUpdate() {
    addGroup();
}

/**
 * グループ追加
 */
function addGroup() {
    disableControls(true);
	//グループ名
	let groupName = getDataElem("addGroup", "groupName");
    let param = {
        "name": groupName.value
    };

	doPost("/add/group", param, handleLoginError)
	.then((resp) => {
		if (resp.status == "ok") {
            addFinished(resp.result);
		}
		else {
            showServerError(getResources("add_group:UPDATE_FAILED"));
		}
        disableControls(false);
	})
	.catch( () => {
        showServerError(getResources("add_group:UPDATE_FAILED"));
        disableControls(false);
	});

}


/**
 * 追加終了
 */
function addFinished(groupInfo) {
    window.close();
    if (window.opener && window.opener.addGroupFinished) {
        // 親画面の関数を呼ぶ
        window.opener.addGroupFinished(groupInfo);
    }
}

