
window.onload = funcOnload;

/**
 * ボディオンロードイベント処理
 *
 */
function funcOnload() {

	getTerminalInfo()
	.then((termInfo) => {
		setDictionaryData("headerTerminalInfo", termInfo);
	});

	getCurrentDisplayList()
	.then((displayList) => {
		createTableRow(displayList.length);
		setDictionaryDataToTable("tableBody", displayList);
	});
	setInterval(funcUpdate, 30000);
	document.getElementById('updateBtn').onclick = funcUpdate;
}
/**
 * 表示機一覧テーブルの行を生成
 * @param {int} rowlen - 行数 
 */
function createTableRow(rowlen) {
	let tbody = document.querySelector("#tableBody");

	for (let i = 1; i <= rowlen; i++) {
		let tr = document.createElement("tr");
		tr.setAttribute("data-row", i);
		tr.classList.add("row-space");
		["ipAddress", "datetime", "name", "groups"].forEach((name)=> {
			let td = document.createElement("td");
			if (name=="ipAddress") {
				td.setAttribute("data-label", getResources("connecting:data-label:ipAddress"));
			}
			else if (name=="datetime") {
				td.setAttribute("data-label", getResources("connecting:data-label:datetime"));
			}
			else if (name=="name") {
				td.setAttribute("data-label", getResources("connecting:data-label:name"));
			}
			else if (name=="groups") {
				td.setAttribute("data-label", getResources("connecting:data-label:groups"));
			}
			td.setAttribute("data-name", name);

			tr.appendChild(td);
		});
		tbody.appendChild(tr);
	}	
}
/**
 * 表示機一覧クリア
 */
function clearDisplayList() {
	let tbody = document.querySelector("#tableBody");
	let trList = tbody.querySelectorAll("tr[data-row]");
	trList.forEach((tr) => {
		tbody.removeChild(tr);
	});
}

/**
 * 更新実行
 */
function funcUpdate() {
	clearDisplayList();

	getCurrentDisplayList()
	.then((displayList) => {
		createTableRow(displayList.length);
		setDictionaryDataToTable("tableBody", displayList);
	});
}

/**
 * 表示機一覧取得
 */
function getCurrentDisplayList() {
	return doPost("/get/displays", {}, handleLoginError)
	.then((resp) => {
		return new Promise((resolve, reject) => {
			if (resp.status == "ok") {
				resolve(resp.result);
			}
			else {
				reject()
			}
		});
	});
}
