function doPost(url, data) {
    return new Promise(function(resolve, reject) {
        setTimeout(function() {
            let res = {
                "status": "ok"
            };
            let result;
            switch(url) {
                case "/get/terminalInfo":
                    result = {
                        "termNo": "T123456789",
                        "modelName": "ECO-00001",
                        "firmwareVersion": "V001.R001",
                        "macAddress1": "b8:27:eb:1c:e1:2d",
                        "macAddress2": "b8:27:eb:49:c5:47",
                        "timezone": "Asia/Tokyo"
                    };
                    break;
                case "/get/otherInfo":
                    result = {
                        "sound":{
                            "volume": 30
                        },
                        "timeSetting":{
                            "ntp": true,
                            "ntpServer": "ntp.nict.jp",
                            "interval": "H01"
                        },
                        "logServer":{
                            "ipAddress": "123.123.123.123",
                            "startTime": "06:00",
                            "interval": "D01"
                        },
                        "caller": {
                            "A": {
                                "longPressTime": 2,
                                "timeout": 10
                            }
                        }
                    };
                    break;
                case "/get/groups":
                    result = [{ "groupId": 1, "name": "Aグループ" }, { "groupId": 2, "name": "Bグループ" }, { "groupId": 3, "name": "Cグループ" }];
                    break;
                case "/get/callers":
                    result = {
                        "callers": [
                            {
                                "address": "01234567",
                                "modelNo": "B4",
                                "line1": "お座敷",
                                "line2": "桜",
                                "buttonNo": "1",
                                "call": 1,
                                "color": "R",
                                "sound": "01"
                            },
                            {
                                "address": "01234567",
                                "modelNo": "B4",
                                "line1": "お座敷",
                                "line2": "桜",
                                "buttonNo": "2",
                                "call": 2,
                                "color": "G",
                                "sound": "01"
                            },
                            {
                                "address": "01234567",
                                "modelNo": "B4",
                                "line1": "お座敷",
                                "line2": "桜",
                                "buttonNo": "3",
                                "call": 3,
                                "color": "B",
                                "sound": "01"
                            },
                            {
                                "address": "01234567",
                                "modelNo": "B4",
                                "line1": "お座敷",
                                "line2": "桜",
                                "buttonNo": "4",
                                "call": 100,
                                "color": "",
                                "sound": "01"
                            },
                            {
                                "address": "11111111",
                                "modelNo": "B4",
                                "line1": "お座敷",
                                "line2": "菊",
                                "buttonNo": "1",
                                "call": 0,
                                "color": "Y",
                                "sound": "01"
                            },
                            {
                                "address": "11111111",
                                "modelNo": "B4",
                                "line1": "お座敷",
                                "line2": "菊",
                                "buttonNo": "2",
                                "call": 0,
                                "color": "B",
                                "sound": "01"
                            },
                            {
                                "address": "11111111",
                                "modelNo": "B4",
                                "line1": "お座敷",
                                "line2": "菊",
                                "buttonNo": "3",
                                "call": 0,
                                "color": "G",
                                "sound": "01"
                            },
                            {
                                "address": "11111111",
                                "modelNo": "B4",
                                "line1": "お座敷",
                                "line2": "菊",
                                "buttonNo": "4",
                                "call": 100,
                                "color": "",
                                "sound": "02"
                            }
                        ],
                        "sounds": [
                            {
                                "no": "01",
                                "name": {
                                    "ja": "ピンポーン",
                                    "en": "pinpon"
                                },
                                "path":"sound/01.mp3",
                                "type": "audio/mp3"
                            },
                            {
                                "no": "02",
                                "name": {
                                    "ja": "パララーン",
                                    "en": "pararan"
                                },
                                "path":"sound/02.mp3",
                                "type": "audio/mp3"
                            },
                            {
                                "no": "03",
                                "name": {
                                    "ja": "ピポーン(高)",
                                    "en": "pipon high"
                                },
                                "path":"sound/03.mp3",
                                "type": "audio/mp3"
                            },
                            {
                                "no": "04",
                                "name": {
                                    "ja": "ピポーン(低)",
                                    "en": "pipon low"
                                },
                                "path":"sound/04.mp3",
                                "type": "audio/mp3"
                            },
                            {
                                "no": "05",
                                "name": {
                                    "ja": "シャラーン",
                                    "en": "syaran"
                                },
                                "path":"sound/05.mp3",
                                "type": "audio/mp3"
                            },
                            {
                                "no": "06",
                                "name": {
                                    "ja": "ピポーン",
                                    "en": "pipon"
                                },
                                "path":"sound/06.mp3",
                                "type": "audio/mp3"
                            },
                            {
                                "no": "07",
                                "name": {
                                    "ja": "パパーン",
                                    "en": "papan"
                                },
                                "path":"sound/07.mp3",
                                "type": "audio/mp3"
                            },
                            {
                                "no": "08",
                                "name": {
                                    "ja": "タターン",
                                    "en": "tatan"
                                },
                                "path":"sound/08.mp3",
                                "type": "audio/mp3"
                            },
                            {
                                "no": "09",
                                "name": {
                                    "ja": "パーン",
                                    "en": "paan"
                                },
                                "path":"sound/09.mp3",
                                "type": "audio/mp3"
                            },
                            {
                                "no": "10",
                                "name": {
                                    "ja": "チュチュチュ",
                                    "en": "chuchuchu"
                                },
                                "path":"sound/10.mp3",
                                "type": "audio/mp3"
                            },
                            {
                                "no": "11",
                                "name": {
                                    "ja": "ホーホケキョ",
                                    "en": "howhokekyo"
                                },
                                "path":"sound/11.mp3",
                                "type": "audio/mp3"
                            },
                            {
                                "no": "12",
                                "name": {
                                    "ja": "ウォーンウォーン",
                                    "en": "uwonuwon"
                                },
                                "path":"sound/12.mp3",
                                "type": "audio/mp3"
                            },
                            {
                                "no": "13",
                                "name": {
                                    "ja": "タタッタタッタタッタタ",
                                    "en": "tata, tata, tata, tata"
                                },
                                "path":"sound/13.mp3",
                                "type": "audio/mp3"
                            }
                        ]
                    };
                    break;
                case "/get/displays":
                    result = [
                        {
                            "ipAddress": "192.168.1.12",
                            "datetime": "2020/02/06 12:56:01",
                            "name": "田中機",
                            "groups": "Aグループ"
                        },
                        {
                            "ipAddress": "192.168.1.25",
                            "datetime": "2020/02/06 09:10:02",
                            "name": "鈴木マシン",
                            "groups": "Aグループ, Bグループ"
                        },
                        {
                            "ipAddress": "192.168.1.17",
                            "datetime": "2020/02/06 09:00:00",
                            "name": "斎藤",
                            "groups": "Bグループ"
                        }
                    ];
                    break;
                case "/get/networkInfo":
                    result = {
                        "wlan": {
                            "enabled": true,
                            "ssid": "ssid1234-a",
                            "autoIp": true,
                            "ipAddress": "172.16.1.61",
                            "subnetMask": "255.255.255.0",
                            "defaultGw": "172.16.1.1",
                            "autoDNS": true,
                            "dns1": "8.8.8.8",
                            "dns2": "",
                            // "wpa_networks":[{"ssid": "ssid1234-a"}]
                            "ssidSettings": {
                                "ssid1234-a": {
                                    "autoIp": true,
                                    "ipAddress": "172.16.1.61",
                                    "subnetMask": "255.255.255.0",
                                    "defaultGw": "172.16.1.1",
                                    "autoDNS": true,
                                    "dns1": "8.8.8.8",
                                    "dns2": "",
                                    "wpa_network": {
                                        "ssid": "ssid1234-a"
                                    }
                                }
                            }
                        },
                        "eth": {
                            "enabled": true,
                            "autoIp": true,
                            "ipAddress": "",
                            "subnetMask": "",
                            "defaultGw": "",
                            "autoDNS": true,
                            "dns1": "8.8.8.8",
                            "dns2": ""
                        }
                    };
                    break;
                case "/get/networkSetting":
                    result = {
                        "wlan": {
                            "enabled": true,
                            "ssid": "ssid1234-a",
                            "autoIp": true,
                            "ipAddress": "172.16.1.61",
                            "subnetMask": "255.255.255.0",
                            "defaultGw": "172.16.1.1",
                            "autoDNS": true,
                            "dns1": "8.8.8.8",
                            "dns2": "",
                            // "wpa_networks":[{"ssid": "ssid1234-a"}]
                            "ssidSettings": {
                                "ssid1234-a": {
                                    "autoIp": true,
                                    "ipAddress": "172.16.1.61",
                                    "subnetMask": "255.255.255.0",
                                    "defaultGw": "172.16.1.1",
                                    "autoDNS": true,
                                    "dns1": "8.8.8.8",
                                    "dns2": "",
                                    "wpa_network": {
                                        "ssid": "ssid1234-a"
                                    }
                                }
                            }
                        },
                        "eth": {
                            "enabled": true,
                            "autoIp": true,
                            "ipAddress": "",
                            "subnetMask": "",
                            "defaultGw": "",
                            "autoDNS": true,
                            "dns1": "8.8.8.8",
                            "dns2": ""
                        }
                    };
                    break;
                case "/scan/wifi":
                    result = [
                        {
                            "cellnumber": "01",
                            "mac": "XX:XX:XX:XX:XX:XX",
                            "frequency": "2.432",
                            "frequency_units": "GHz",
                            "channel": "5",
                            "signal_quality": "57",
                            "signal_total": "70",
                            "signal_level_dBm": "-73",
                            "essid": "ssid1234-a",
                            "mode": "Master",
                            "encryptions": [
                                {
                                    "encryption": "wpa2",
                                    "groupCipher": "CCMP",
                                    "pairwiseCiphers": [
                                        "CCMP"
                                    ],
                                    "authenticationSuites": [
                                        "PSK"
                                    ]
                                },
                                {
                                    "encryption": "wpa",
                                    "groupCipher": "CCMP",
                                    "pairwiseCiphers": [
                                        "CCMP"
                                    ],
                                    "authenticationSuites": [
                                        "PSK"
                                    ]
                                }
                            ]
                        },
                        {
                            "cellnumber": "03",
                            "mac": "XX:XX:XX:XX:XX:XX",
                            "frequency": "5.18",
                            "frequency_units": "GHz",
                            "channel": "36",
                            "signal_quality": "55",
                            "signal_total": "70",
                            "signal_level_dBm": "-55",
                            "essid": "ssid1234-g",
                            "mode": "Master",
                            "encryptions": [
                                {
                                    "encryption": "wpa2",
                                    "groupCipher": "CCMP",
                                    "pairwiseCiphers": [
                                        "CCMP"
                                    ],
                                    "authenticationSuites": [
                                        "PSK"
                                    ]
                                },
                                {
                                    "encryption": "wpa",
                                    "groupCipher": "CCMP",
                                    "pairwiseCiphers": [
                                        "CCMP"
                                    ],
                                    "authenticationSuites": [
                                        "PSK"
                                    ]
                                }
                            ]
                        }
                    ];
                    break;
                case "/get/ssidSetting":
                    result = {
                        "autoIp": true,
                        "ipAddress": "",
                        "subnetMask": "",
                        "defaultGw": "",
                        "autoDNS": true,
                        "dns1": "",
                        "dns2": "",
                        "wpa_network": {
                            "ssid": "ssid1234-a"
                        }
                    };
                    // result = null;
                    break;
                case "/get/special":
                    result = {
                        "ssh": false,
                        "logLevel": 10
                    };
                    break;
                case "/set/time":
                    let date = new Date();
                    result = {
                        "time": date.getFullYear() + "/" + ("0" + (date.getMonth() + 1)).slice(-2) + "/" + ("0" + date.getDate()).slice(-2) + " " +
                            ("0" + date.getHours()).slice(-2) + ":" + ("0" + date.getMinutes()).slice(-2) + ":" + ("0" + date.getSeconds()).slice(-2)
                    };
                    break;
                case "/download/log":
                    result = {
                        "path": "temp/temp.zip" 
                    };
                    break;
                case "/add/group":
                    result = {
                        "groupId": 10,
                        "name": data["name"] 
                    };
                    break;
                default:
                    break;
            }
            if (result) {
                res["result"] = result;
            }
            resolve(res);
        }, 200);
    });
}

function doPostFile(url, formData, progress) {
    return new Promise(function(resolve, reject){
        setTimeout(function() {
            let res = {
                "status": "ok"
            };
            resolve(res);
        }, 200);
    });
}

function getCookies() {
    let cookieDict = {
        "USER": "admin",
        "PRIVILEGE": "2",
        "LANGUAGE": "ja"
    };
	return cookieDict;
}
