/**
 * メッセージリソース取得
 *
 * @param {string} resourceid - リソースID
 * @returns メッセージ
 */
function getResources(resourceid) {
    let lang = getLanguage();
    if (resources[lang]) {
        return resources[lang][resourceid];
    }
    else {
        return resources[DEFAULT_LANG][resourceid];
    }
}
const DEFAULT_LANG="ja";
let resources = {
    "ja": {
        "common_input:UPDCONFIRM":"登録を実行します。よろしいですか？",
        "common_input:JUMPCONFIRM":"変更内容が破棄されます。よろしいですか？",
        "login:IE_NOT_SUPPORTED": "申し訳ございませんが、この画面は Inernet Explorer は対応しておりません。\nブラウザは Edge、Chrome、Safari、またはFirefox をお使いください。",
        "login:LOGIN_FAILED": "ログインに失敗しました。",
        "admin:USE":"使用する",
        "admin:NOT_USE":"使用しない",
        "admin:GROUP_REMAIN_COUNT": "その他 {0}グループ登録済み",
        "admin:CALLER_REMAIN_COUNT": "その他 {0}個登録済み",
        "admin:SET_TIME_METHOD_NTP": "NTP同期",
        "admin:SET_TIME_METHOD_MANUAL": "手入力",
        "admin:ALL_DISP_DEVICE": "全ての表示機",
        "admin:CANCEL": "取り消し",
        "admin:INVALID": "無効",
        "admin:COLOR_RED": "赤",
        "admin:COLOR_GREEN": "緑",
        "admin:COLOR_BLUE": "青",
        "admin:COLOR_YELLOW": "黄",
        "admin:COLOR_WHITE": "白",
        "admin:MINUTES": "分",
        "admin:HOURS": "時間",
        "admin:DAYS": "日",
        "admin:WEEKS": "週間",
        "admin:data-label:groupId": "グループNo.",
        "admin:data-label:groupName": "グループ名",
        "admin:data-label:address": "アドレス(モデル)",
        "admin:data-label:callerName": "呼出機名",
        "admin:data-label:buttonNo": "ボタンNo.",
        "admin:data-label:callGroup": "呼出対象",
        "admin:data-label:color": "表示色",
        "admin:data-label:sound": "音",
        "admin:data-label:eraserName": "消去機名",
        "admin:PRIORITY_HIGH": "優先",
        "admin:PRIORITY_NORMAL": "通常",
        "admin:data-label:priority": "優先度",
        "caller:ALL_DISP_DEVICE": "全ての表示機",
        "caller:CANCEL": "取り消し",
        "caller:INVALID": "無効",
        "caller:COLOR_RED": "赤",
        "caller:COLOR_GREEN": "緑",
        "caller:COLOR_BLUE": "青",
        "caller:COLOR_YELLOW": "黄",
        "caller:COLOR_WHITE": "白",
        "caller:UPDATE_FAILED": "呼出機登録に失敗しました",
        "caller:DELETE_CONFIRM":"チェックした呼出機を削除します。よろしいですか？",
        "caller:DELETE_FAILED": "呼出機の削除に失敗しました",
        "caller:data-label:delete": "",
        "caller:data-label:address": "アドレス(モデル)",
        "caller:data-label:callerName": "呼出機名",
        "caller:data-label:buttonNo": "ボタンNo.",
        "caller:data-label:callGroup": "呼出対象",
        "caller:data-label:color": "表示色",
        "caller:data-label:sound": "音",
        "caller:PRIORITY_HIGH": "優先",
        "caller:PRIORITY_NORMAL": "通常",
        "caller:data-label:priority": "優先度",
        "connecting:data-label:ipAddress": "IPアドレス",
        "connecting:data-label:datetime": "接続開始日時",
        "connecting:data-label:name": "名称",
        "connecting:data-label:groups": "所属グループ",
        "group:GROUPID_ERROR_REQUIRED": "グループIDは省略できません。",
        "group:GROUPID_ERROR_NUMERIC": "半角数字を設定してください",
        "group:GROUPNAME_ERROR_REQUIRED": "グループ名は省略できません。",
        "group:UPDATE_FAILED": "グループ登録に失敗しました",
        "group:DELETE_CONFIRM":"チェックしたグループを削除します。よろしいですか？",
        "group:DELETE_FAILED": "グループ削除に失敗しました",
        "group:data-label:delete": "",
        "group:data-label:groupId": "グループNo.",
        "group:data-label:groupName": "グループ名",
        "add_group:UPDATE_FAILED": "グループの追加に失敗しました",
        "add_group:GROUPNAME_ERROR_REQUIRED": "グループ名は省略できません。",
        "network:IPADDR_ERROR_REQUIRED": "有線LAN IPアドレスは、省略できません。",
        "network:IPADDR_ERROR_FORMAT": "有線LAN IPアドレスは、フォーマットが正しくありません。［入力例: 255.255.255.0］",
        "network:SUBNET_ERROR_REQUIRED":"有線LAN サブネットマスクは、省略できません。",
        "network:SUBNET_ERROR_FORMAT": "有線LAN サブネットマスクは、フォーマットが正しくありません。［入力例: 255.255.255.0］",
        "network:GW_ERROR_FORMAT": "有線LAN デフォルトGWは、フォーマットが正しくありません。［入力例: 255.255.255.0］",
        "network:DNS1_ERROR_FORMAT": "有線LAN DNSは、フォーマットが正しくありません。［入力例: 255.255.255.0］",
        "network:DNS2_ERROR_FORMAT": "有線LAN DNSは、フォーマットが正しくありません。［入力例: 255.255.255.0］",
        "network:SSID_ERROR_REQUIRED": "SSIDが選択されていません。",
        "network:SSID_ERROR_NO_CONFIG": "SSID：{0}の設定情報がありません。",
        "network:UPDATE_FAILED": "ネットワーク設定に失敗しました",
        "other:NTPSERVER_ERROR_REQUIRED": "NTPサーバは、省略できません。",
        "other:NTPSERVER_ERROR_FORMAT": "NTPサーバは、フォーマットが正しくありません。［半角英数字記号100文字まで］",
        "other:LOGSERVER_ERROR_REQUIRED": "ログサーバーのIPアドレスは、省略できません。",
        "other:LOGSERVER_ERROR_FORMAT": "ログサーバーのIPアドレスは、フォーマットが正しくありません。",
        "other:UPDATE_FAILED": "その他の設定に失敗しました",
        "other:NTP_SUCCESS": "{0}\nに同期成功しました",
        "other:NTP_FAILED": "NTP同期が失敗しました",
        "other:SET_TIME_SUCCESS": "{0}\nに時刻合わせが成功しました",
        "other:SET_TIME_FAILED": "時刻合わせが失敗しました",
        "other:FW_UPLOAD_CONFIRM": "ファームウェアアップロードが終了したら、Beyond ECは再起動されます。\nWeb設定には再度ログインが必要になります。",
        "other:FW_UPLOAD_FAILED": "ファームウェアのアップロードに失敗しました。",
        "other:SEND_TEST_SUCCESS": "通信テストが成功しました",
        "other:SEND_TEST_FAILED": "通信テストが失敗しました",
        "other:LOG_DOWNLOAD_FAILED": "ログダウンロードが失敗しました",
        "other:SSH_SUCCESS": "SSH{0}が成功しました",
        "other:SSH_FAILED": "SSH{0}が失敗しました",
        "other:SSH_ENABLE": "有効化",
        "other:SSH_DISABLE": "無効化",
        "other:LOG_LEVEL_SUCCESS": "ログレベルの設定が成功しました",
        "other:LOG_LEVEL_FAILED": "ログレベルの設定が失敗しました",
        "other:INITDATA_SUCCESS": "データ初期化に成功しました。",
        "other:INITDATA_FAILED": "データ初期化に失敗しました。",
        "other:REBOOT_FAILED": "再起動に失敗しました。",
        "other:FACTORY_SETTING_CONFIRM": "受信機を工場出荷時の状態に戻します。\nグループや呼出機の登録情報などは全て削除されます。\nネットワーク設定も初期化されるため受信機のIPアドレスが変わることがあります。\nよろしいですか？",
        "other:FACTORY_SETTING_CONFIRM2": "受信機を工場出荷時の状態に戻して再起動します。\n本当によろしいですか？",
        "other:FACTORY_SETTING_FAILED": "工場出荷状態に戻せませんでした。",
        "password:PASSWD_ERROR_REQUIRED": "新しいパスワードを入力してください。",
        "password:PASSWD_ERROR_NOT_MATCH": "新しいパスワードと一致しません。",
        "password:PASSWORD_SUCCESS": "パスワードを変更しました。",
        "password:PASSWORD_FAILED": "パスワード変更に失敗しました",
        "ssid_setting:PASSWORD_ERROR_REQUIRED": "無線LAN パスワードは、省略できません。",
        "ssid_setting:IPADDR_ERROR_REQUIRED": "無線LAN IPアドレスは、省略できません。",
        "ssid_setting:IPADDR_ERROR_FORMAT": "無線LAN IPアドレスは、フォーマットが正しくありません。［入力例: 255.255.255.0］",
        "ssid_setting:SUBNET_ERROR_REQUIRED":"無線LAN サブネットマスクは、省略できません。",
        "ssid_setting:SUBNET_ERROR_FORMAT": "無線LAN サブネットマスクは、フォーマットが正しくありません。［入力例: 255.255.255.0］",
        "ssid_setting:GW_ERROR_FORMAT": "無線LAN デフォルトGWは、フォーマットが正しくありません。［入力例: 255.255.255.0］",
        "ssid_setting:DNS1_ERROR_FORMAT": "無線LAN DNSは、フォーマットが正しくありません。［入力例: 255.255.255.0］",
        "ssid_setting:DNS2_ERROR_FORMAT": "無線LAN DNSは、フォーマットが正しくありません。［入力例: 255.255.255.0］",
        "ssid_setting:UPDATE_FAILED": "保存に失敗しました",
        "ssid_setting:DELETE_FAILED": "削除に失敗しました",
        "terminal:TERMNO_ERROR_REQUIRED": "端末番号は、省略できません。",
        "terminal:TERMNO_ERROR_FORMAT": "端末番号は、フォーマットが正しくありません。［半角英数字10文字］",
        "terminal:UPDATE_SUCCESS": "端末設定しました",
        "terminal:UPDATE_FAILED": "端末設定に失敗しました",
        "eraser:UPDATE_FAILED": "消去機登録に失敗しました",
        "eraser:DELETE_CONFIRM":"チェックした消去機を削除します。よろしいですか？",
        "eraser:DELETE_FAILED": "消去機の削除に失敗しました",
        "eraser:data-label:delete": "",
        "eraser:data-label:address": "アドレス(モデル)",
        "eraser:data-label:eraserName": "消去機名",
    },
    "en": {
        "common_input:UPDCONFIRM": "Execute registration. Are you sure?",
        "common_input:JUMPCONFIRM": "Changes will be discarded. Are you sure?",
        "login:IE_NOT_SUPPORTED": "Sorry, this screen is not compatible with Internet Explorer. \nPlease use Edge, Chrome, Safari, or Firefox browser.",
        "login:LOGIN_FAILED": "Login failed.",
        "admin:USE":"Use",
        "admin:NOT_USE":"No use",
        "admin:GROUP_REMAIN_COUNT": "Other {0} group registered",
        "admin:CALLER_REMAIN_COUNT": "{0} others registered",
        "admin:SET_TIME_METHOD_NTP": "NTP sync",
        "admin:SET_TIME_METHOD_MANUAL": "Manual",
        "admin:ALL_DISP_DEVICE": "All Callers",
        "admin:CANCEL": "Cancel",
        "admin:INVALID": "Invalid",
        "admin:COLOR_RED": "Red",
        "admin:COLOR_GREEN": "Green",
        "admin:COLOR_BLUE": "Blue",
        "admin:COLOR_YELLOW": "Yellow",
        "admin:COLOR_WHITE": "White",
        "admin:MINUTES": "min",
        "admin:HOURS": "hour",
        "admin:DAYS": "day",
        "admin:WEEKS": "week",
        "admin:data-label:groupId": "Group No.",
        "admin:data-label:groupName": "Group Name",
        "admin:data-label:address": "Address(model)",
        "admin:data-label:callerName": "Caller Name",
        "admin:data-label:buttonNo": "Button No.",
        "admin:data-label:callGroup": "Invoke Caller(s)",
        "admin:data-label:color": "Display Color",
        "admin:data-label:sound": "Sound",
        "admin:data-label:eraserName": "Eraser Name",
        "admin:PRIORITY_HIGH": "High",
        "admin:PRIORITY_NORMAL": "Normal",
        "admin:data-label:priority": "Priority",
        "caller:ALL_DISP_DEVICE": "All displays",
        "caller:CANCEL": "Cancel",
        "caller:INVALID": "Invalid",
        "caller:COLOR_RED": "Red",
        "caller:COLOR_GREEN": "Green",
        "caller:COLOR_BLUE": "Blue",
        "caller:COLOR_YELLOW": "Yellow",
        "caller:COLOR_WHITE": "White",
        "caller:UPDATE_FAILED": "Caller registration failed",
        "caller:DELETE_CONFIRM": "Delete the checked caller. Are you sure?",
        "caller:DELETE_FAILED": "Failed to delete caller",
        "caller:data-label:delete": "",
        "caller:data-label:address": "address (model)",
        "caller:data-label:callerName": "caller name",
        "caller:data-label:buttonNo": "Button No.",
        "caller:data-label:callGroup": "Call target",
        "caller:data-label:color": "display color",
        "caller:data-label:sound": "sound",
        "caller:PRIORITY_HIGH": "High",
        "caller:PRIORITY_NORMAL": "Normal",
        "caller:data-label:priority": "Priority",
        "connecting:data-label:ipAddress": "IP address",
        "connecting:data-label:datetime": "connection start date and time",
        "connecting:data-label:name": "name",
        "connecting:data-label:groups": "Affiliated groups",        
        "group:GROUPID_ERROR_REQUIRED": "Group ID cannot be omitted.",
        "group:GROUPID_ERROR_NUMERIC": "Please enter a single-byte number",
        "group:GROUPNAME_ERROR_REQUIRED": "Group name cannot be omitted.",
        "group:UPDATE_FAILED": "Group registration failed",
        "group:DELETE_CONFIRM": "Delete the checked group. Are you sure?",
        "group:DELETE_FAILED": "Failed to delete group",
        "group:data-label:delete": "",
        "group:data-label:groupId": "Group No.",
        "group:data-label:groupName": "group name",
        "add_group:UPDATE_FAILED": "Failed to add group",
        "add_group:GROUPNAME_ERROR_REQUIRED": "Group name cannot be omitted.",
        "network:IPADDR_ERROR_REQUIRED": "Wired LAN IP address cannot be omitted.",
        "network:IPADDR_ERROR_FORMAT": "The format of the wired LAN IP address is incorrect. [Input example: 255.255.255.0]",
        "network:SUBNET_ERROR_REQUIRED": "Wired LAN subnet mask cannot be omitted.",
        "network:SUBNET_ERROR_FORMAT": "The format of the wired LAN subnet mask is incorrect. [Input example: 255.255.255.0]",
        "network:GW_ERROR_FORMAT": "The format of the wired LAN default GW is incorrect. [Input example: 255.255.255.0]",
        "network:DNS1_ERROR_FORMAT": "The format of the wired LAN DNS is incorrect. [Example: 255.255.255.0]",
        "network:DNS2_ERROR_FORMAT": "The format of the wired LAN DNS is incorrect. [Input example: 255.255.255.0]",
        "network:SSID_ERROR_REQUIRED": "SSID is not selected.",
        "network:SSID_ERROR_NO_CONFIG": "There is no setting information for SSID: {0}.",
        "network:UPDATE_FAILED": "Network configuration failed",
        "other:NTPSERVER_ERROR_REQUIRED": "NTP server cannot be omitted.",
        "other:NTPSERVER_ERROR_FORMAT": "The NTP server format is incorrect. [Up to 100 alphanumeric characters and symbols]",
        "other:LOGSERVER_ERROR_REQUIRED": "The IP address of the log server cannot be omitted.",
        "other:LOGSERVER_ERROR_FORMAT": "The format of the IP address of the log server is incorrect.",
        "other:UPDATE_FAILED": "Other settings failed",
        "other:NTP_SUCCESS": "Successfully synced to {0} \n",
        "other:NTP_FAILED": "NTP synchronization failed",
        "other:SET_TIME_SUCCESS": "Time adjustment succeeded on {0} \n",
        "other:SET_TIME_FAILED": "Time adjustment failed",
        "other:FW_UPLOAD_CONFIRM": "Beyond EC will be restarted after the firmware upload is completed. \nYou will need to log in again for Web setting.",
        "other:FW_UPLOAD_FAILED": "Failed to upload firmware",
        "other:SEND_TEST_SUCCESS": "Communication test successful",
        "other:SEND_TEST_FAILED": "Communication test failed",
        "other:LOG_DOWNLOAD_FAILED": "Log download failed",
        "other:SSH_SUCCESS": "SSH {0} succeeded",
        "other:SSH_FAILED": "SSH {0} failed",
        "other:SSH_ENABLE": "Enable",
        "other:SSH_DISABLE": "Disable",
        "other:LOG_LEVEL_SUCCESS": "Successfully set log level",
        "other:LOG_LEVEL_FAILED": "Failed to set log level",
        "other:INITDATA_SUCCESS": "Data initialization succeeded.",
        "other:INITDATA_FAILED": "Failed to initialize data.",
        "other:REBOOT_FAILED": "Reboot failed.",
        "other:FACTORY_SETTING_CONFIRM": "Resets the receiver to the factory defaults.\nAll group and caller registration information will be deleted.\nNetwork settings will also be initialized and the IP address of the receiver may change.\nAre you sure?",
        "other:FACTORY_SETTING_CONFIRM2": "Restore the receiver to factory settings and reboot.\nAre you sure?",
        "other:FACTORY_SETTING_FAILED": "Failed to restore to factory settings.",
        "password:PASSWD_ERROR_REQUIRED": "Please enter a new password.",
        "password:PASSWD_ERROR_NOT_MATCH": "Does not match new password.",
        "password:PASSWORD_SUCCESS": "Password has been changed.",
        "password:PASSWORD_FAILED": "Password change failed",
        "ssid_setting:PASSWORD_ERROR_REQUIRED": "Wireless LAN password cannot be omitted.",
        "ssid_setting:IPADDR_ERROR_REQUIRED": "Wireless LAN IP address cannot be omitted.",
        "ssid_setting:IPADDR_ERROR_FORMAT": "The format of the wireless LAN IP address is incorrect. [Example: 255.255.255.0]",
        "ssid_setting:SUBNET_ERROR_REQUIRED": "Wireless LAN subnet mask cannot be omitted.",
        "ssid_setting:SUBNET_ERROR_FORMAT": "The format of the wireless LAN subnet mask is incorrect. [Example: 255.255.255.0]",
        "ssid_setting:GW_ERROR_FORMAT": "The format of the wireless LAN default GW is incorrect. [Example: 255.255.255.0]",
        "ssid_setting:DNS1_ERROR_FORMAT": "The format of the wireless LAN DNS is incorrect. [Example: 255.255.255.0]",
        "ssid_setting:DNS2_ERROR_FORMAT": "The format of the wireless LAN DNS is incorrect. [Example: 255.255.255.0]",
        "ssid_setting:UPDATE_FAILED": "Failed to save",
        "ssid_setting:DELETE_FAILED": "Failed to delete",
        "terminal:TERMNO_ERROR_REQUIRED": "Terminal number cannot be omitted.",
        "terminal:TERMNO_ERROR_FORMAT": "The terminal number has an incorrect format. [10 alphanumeric characters]",
        "terminal:UPDATE_SUCCESS": "Terminal set up",
        "terminal:UPDATE_FAILED": "Terminal setup failed",
        "caller:DELETE_FAILED": "Failed to delete caller",
        "eraser:UPDATE_FAILED": "Eraser registration failed",
        "eraser:DELETE_CONFIRM":"Delete the checked eraser. Are you sure?",
        "eraser:DELETE_FAILED": "Failed to delete eraser",
        "eraser:data-label:delete": "",
        "eraser:data-label:address": "address (model)",
        "eraser:data-label:eraserName": "eraser name",
    }
}
