#!/bin/bash
ECOMONI_DIR='/home/pi/ecomoni'
DOWNLOAD_DIR='/home/pi/temp/firmware'

# Directroy作成
mkdir -p ${ECOMONI_DIR}
mkdir -p ${DOWNLOAD_DIR}

# コピー
cp -pr ../app ${ECOMONI_DIR}/.
cp -pr ../script ${ECOMONI_DIR}/.
mkdir -p ${ECOMONI_DIR}/app/log

# いらないもの削除
rm -rf ${ECOMONI_DIR}/app/__pycache__
rm -rf ${ECOMONI_DIR}/app/recv_dev/__pycache__
rm -rf ${ECOMONI_DIR}/app/disp_dev/__pycache__
rm -f ${ECOMONI_DIR}/app/data.db
rm -f ${ECOMONI_DIR}/app/log/*
rm -f ${ECOMONI_DIR}/app/recv_dev/web/temp/*

# シンボリックリンク作成
# 起動スクリプトの設定ファイル
ln -s ${ECOMONI_DIR}/script/systemd/ecomonitor.service /etc/systemd/system/ecomonitor.service
# 更新スクリプトの設定ファイル
ln -s ${ECOMONI_DIR}/script/systemd/ecomonitor-update.service /etc/systemd/system/ecomonitor-update.service
# シャットダウンスクリプトの設定ファイル
ln -s ${ECOMONI_DIR}/script/systemd/ecomonitor-shutdown.service /etc/systemd/system/ecomonitor-shutdown.service
# RTCの設定ファイル
ln -s ${ECOMONI_DIR}/script/systemd/ecomonitor-rtc-s.service /etc/systemd/system/ecomonitor-rtc-s.service
ln -s ${ECOMONI_DIR}/script/systemd/ecomonitor-rtc-w.service /etc/systemd/system/ecomonitor-rtc-w.service

# # 自動起動
# mkdir -p /home/pi/.config/lxsession/LXDE-pi
# cp /etc/xdg/lxsession/LXDE-pi/autostart /home/pi/.config/lxsession/LXDE-pi/
# echo 'sudo systemctl start ecomonitor-update.service' >> /home/pi/.config/lxsession/LXDE-pi/autostart
# echo 'sudo systemctl start ecomonitor.service' >> /home/pi/.config/lxsession/LXDE-pi/autostart


# 起動splashの設定
# バージョン表示の更新
FIRMWARE_VERSION=`grep -E 'firmwareVersion' ${ECOMONI_DIR}/app/recv_dev/config/terminal.json | sed -r 's/.*"firmwareVersion": *"(.*)",$/\1/'`
sed -i -r "s/(version = )\"(.*)\";/\1\"${FIRMWARE_VERSION}\";/g" ${ECOMONI_DIR}/script/plymouth/themes/ecomonitor/ecomonitor.script
ln -s ${ECOMONI_DIR}/script/plymouth/themes/ecomonitor /usr/share/plymouth/themes/ecomonitor
plymouth-set-default-theme ecomonitor


# 起動スクリプトの有効化
systemctl enable ecomonitor.service
# 起動スクリプトの有効化
systemctl enable ecomonitor-update.service
# シャットダウンスクリプトの有効化
systemctl enable ecomonitor-shutdown.service
# RTCスクリプトの有効化
systemctl enable ecomonitor-rtc-s.service
systemctl enable ecomonitor-rtc-w.service

# --- 不要なサービスを止める --- 
# ssh無効
systemctl disable ssh.service

# ntpを止める
systemctl disable systemd-timesyncd.service
systemctl stop systemd-timesyncd

#mDNS
systemctl disable avahi-daemon.service

#bluetooth関連
systemctl disable bluetooth.service
systemctl disable dbus-org.bluez.service
systemctl disable hciuart.service

# cron
systemctl disable cron.service

# raspberrypi-net-mods.service (/boot配下にwpa_supplicant.confを置くと無線LANが有効になるやつ)
systemctl disable raspberrypi-net-mods.service

# raspberry pi firmware update
systemctl disable rpi-eeprom-update.service

# rsync
systemctl disable rsync.service

# sshswitch (/boot配下にsshファイルを置くとsshが有効になるやつ)
systemctl disable sshswitch.service

# TriggerHappy
systemctl disable triggerhappy.service

# vncserver
systemctl disable vncserver-x11-serviced.service 
# --- 不要なサービスを止める --- 
