#!/bin/bash
ECOMONI_DIR='/home/pi/ecomoni'
DOWNLOAD_DIR='/home/pi/temp/firmware'

systemctl stop ecomonitor.service

rm /etc/systemd/system/ecomonitor.service
rm /etc/systemd/system/ecomonitor-update.service
rm /etc/systemd/system/ecomonitor-shutdown.service
rm /etc/systemd/system/ecomonitor-rtc-s.service
rm /etc/systemd/system/ecomonitor-rtc-w.service
systemctl disable ecomonitor.service
systemctl disable ecomonitor-update.service
systemctl disable ecomonitor-shutdown.service
systemctl disable ecomonitor-rtc-s.service
systemctl disable ecomonitor-rtc-w.service

# # 自動起動を元に戻す
# rm -r /home/pi/.config/lxsession

# 起動splashを元に戻す
plymouth-set-default-theme pix
unlink /usr/share/plymouth/themes/ecomonitor

# --- インストール時に止めたサービスを戻す --- 
# ntpを再開する
systemctl enable systemd-timesyncd.service
systemctl start systemd-timesyncd

# ssh有効化
systemctl enable ssh.service
systemctl start ssh.service

#mDNS
systemctl enable avahi-daemon.service

#bluetooth関連
systemctl enable bluetooth.service
systemctl enable dbus-org.bluez.service
systemctl enable hciuart.service

# cron
systemctl enable cron.service

# raspberrypi-net-mods.service (/boot配下にwpa_supplicant.confを置くと無線LANが有効になるやつ)
systemctl enable raspberrypi-net-mods.service

# raspberry pi firmware update
systemctl enable rpi-eeprom-update.service

# rsync
systemctl enable rsync.service

# sshswitch (/boot配下にsshファイルを置くとsshが有効になるやつ)
systemctl enable sshswitch.service

# TriggerHappy
systemctl enable triggerhappy.service

# vncserver
systemctl enable vncserver-x11-serviced.service 

# --- インストール時に止めたサービスを戻す --- 

rm -r ${ECOMONI_DIR}
rm -r ${DOWNLOAD_DIR}
