import kivy
kivy.require('1.11.1')

from kivy.app import App
from kivy.core.window import Window

from kivy.lang import Builder
Builder.load_file('ecomonitor_update.kv')

from kivy.uix.boxlayout import BoxLayout
from kivy.properties import StringProperty, NumericProperty
from kivy.clock import Clock

import os
import os, select

class UpdateDisp(BoxLayout):
    """UpdateDisp
    """
    disp1 = StringProperty('')
    disp2 = StringProperty('')
    progress = NumericProperty(0)

    def __init__(self, **kwargs):
        """コンストラクタ
        """
        super(UpdateDisp, self).__init__(**kwargs)
        self.disp1 = "Beyond EC Updating..."
        self.disp2 = ""
        self.progress = 0
        Clock.schedule_interval( self.updateString, 0.1)

        if os.path.exists("/tmp/update_message") == False:
            os.mkfifo("/tmp/update_message")

    def updateString(self, dt):
        """表示文字の更新
        
        Args:
            dt (timedelta): delta-time
        """

        selectlist = [
            os.open("/tmp/update_message",  os.O_RDONLY | os.O_NONBLOCK),
        ]
        (rready, _, _) = select.select(selectlist, [], [], 0.1)
        for fd in rready:
            s = os.read(fd, 1024)
            progresses = s.decode().strip('\n').split('\n')
            try:
                for p in progresses:
                    if int(p) >= 0:
                        self.progress = int(p)
                        if self.progress == 10:
                            self.disp2 = "success."
                    else:
                        self.disp2 = "failed."
            except:
                pass

        for fd in selectlist:
            os.close(fd)


class EcoMonitorUpdateApp(App):
    """ECOモニタアプリケーション
    """

    def build(self):
        """build
        """
        return UpdateDisp()



if __name__ == '__main__':
    # Full Screen
    Window.fullscreen = True

    # カーソルを消す
    Window.show_cursor = False


    try:
        app = EcoMonitorUpdateApp()
        app.run()
    except KeyboardInterrupt:
        app.stop()
