import json
import sys
import traceback
import subprocess

ECOMONI_DIR='/home/pi/ecomoni/'
DOWNLOAD_DIR='/home/pi/temp/firmware/'
DL_ECOMONI_DIR='/home/pi/temp/firmware/ecomoni/'
TERMINAL_JSON='app/recv_dev/config/terminal.json'

def versionUpdate():
    print("versionUpdate")
    ret = True
    try:
        newdata = None
        with open(DL_ECOMONI_DIR + TERMINAL_JSON) as nf:
            newdata = json.load(nf)

        data = None
        with open(ECOMONI_DIR + TERMINAL_JSON) as f:
            data = json.load(f)

        data["firmwareVersion"] = newdata["firmwareVersion"]
        #モデル名の更新 ECOモニター→ Beyond EC
        if data["modelName"] == "ECO-00001":
            data["modelName"] = "BEC-100"


        with open(ECOMONI_DIR + TERMINAL_JSON, "w") as wf:
            wf.write(json.dumps(data, indent=4))

    except:
        traceback.print_exc()
        ret = False

    return ret

def setBootDelay():
    try:
        proc = subprocess.run("grep boot_delay=2 /boot/config.txt | wc -l", shell=True, stdout=subprocess.PIPE, text=True)
        count = int(proc.stdout.rstrip())
        if count == 0:
            print("set boot_delay=2 on /boot/config.txt")
            with open('/boot/config.txt', 'a') as f:
                f.write("boot_delay=2\n")
    except:
        pass

def setHdmiHotplug():
    try:
        subprocess.run("sed -i -r 's/#(hdmi_force_hotplug)=./\\1=1/g' /boot/config.txt", shell=True)
        subprocess.run("sed -i -r 's/#(hdmi_group)=./\\1=1/g' /boot/config.txt", shell=True)
        subprocess.run("sed -i -r 's/#(hdmi_mode)=.+/\\1=5/g' /boot/config.txt", shell=True)
    except:
        pass

def disableSshPasswordAuth():
    try:
        subprocess.run("/bin/bash {0}script/disable-ssh-password-auth.sh".format(DL_ECOMONI_DIR), shell=True)

    except:
        pass

if __name__ == "__main__": 
    print("update")
    if versionUpdate() == False:
        sys.exit(1)

    setBootDelay()
    setHdmiHotplug()
    disableSshPasswordAuth()
    
    sys.exit(0)
